中危 OpenSSL - 'ssl3_get_key_exchange()' Use-After-Free Memory Corruption

CVE编号

CVE-2010-2939

利用情况

POC 已公开

补丁情况

N/A

披露时间

2010-08-18
漏洞描述
OpenSS L客户端(ssl/s3_clnt.c)中的ssl3_get_key_exchange函数在OpenSS L1.0.0a、0.9.8、0.9.7和可能的其他版本中的
Double free  漏洞,在使用ECDH时,允许依赖上下文的攻击者导致拒绝服务(崩溃),并可能通过一个无效素数的精心设计的私钥执行任意代码。注:一些来源将此称为免费使用后问题..
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 openssl openssl 0.9.7 -
运行在以下环境
应用 openssl openssl 0.9.8 -
运行在以下环境
应用 openssl openssl 1.0.0a -
运行在以下环境
系统 debian_10 openssl * Up to
(excluding)
0.9.8o-2
运行在以下环境
系统 debian_11 openssl * Up to
(excluding)
0.9.8o-2
运行在以下环境
系统 debian_12 openssl * Up to
(excluding)
0.9.8o-2
运行在以下环境
系统 debian_5.0 openssl * Up to
(excluding)
0.9.8g-15+lenny8
运行在以下环境
系统 suse_12 libopenssl0_9_8 * Up to
(excluding)
4.8.6-7.1
运行在以下环境
系统 suse_12_SP1 libqt4-x11-32bit * Up to
(excluding)
4.8.6-7.1
阿里云评分
6.5
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    POC 已公开
  • 补丁情况
    N/A
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-399 资源管理错误
阿里云安全产品覆盖情况